Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QStrIList Class Reference

The QStrIList class provides a doubly-linked list of char* with case-insensitive comparison. More...

`#include <qstrlist.h>`

Inherits QStrList.

List of all member functions.

## Public Members

- QStrIList ( bool deepCopies = TRUE )
- ~QStrIList ()

## Detailed Description

The QStrIList class provides a doubly-linked list of char* with case-insensitive comparison.

This class is a QPtrList<char> instance (a list of char*).

QStrIList is identical to QStrList except that the virtual compareItems() function is reimplemented to compare strings case-insensitively. The inSort() function inserts strings in a sorted order. In general it is fastest to insert the strings as they come and sort() at the end; inSort() is useful when you just have to add a few extra strings to an already sorted list.

The QStrListIterator class works for QStrIList.

See also QStringList, Collection Classes, and Non-GUI Classes.

## Member Function Documentation

### QStrIList::QStrIList ( bool deepCopies = TRUE )

Constructs a list of strings. Will make deep copies of all inserted strings if deepCopies is TRUE, or use shallow copies if deepCopies is FALSE.

### QStrIList::~QStrIList ()

Destroys the list. All strings are removed.

This file is part of the Qt toolkit. Copyright © 1995-2005 Trolltech. All Rights Reserved.